<?php

namespace App\Filament\Resources\VolumeHoraires;

use App\Filament\Resources\VolumeHoraires\Pages\CreateVolumeHoraire;
use App\Filament\Resources\VolumeHoraires\Pages\EditVolumeHoraire;
use App\Filament\Resources\VolumeHoraires\Pages\ListVolumeHoraires;
use App\Filament\Resources\VolumeHoraires\Schemas\VolumeHoraireForm;
use App\Filament\Resources\VolumeHoraires\Tables\VolumeHorairesTable;
use App\Models\VolumeHoraire;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class VolumeHoraireResource extends Resource
{
    protected static ?string $model = VolumeHoraire::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    public static function form(Schema $schema): Schema
    {
        return VolumeHoraireForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return VolumeHorairesTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListVolumeHoraires::route('/'),
            'create' => CreateVolumeHoraire::route('/create'),
            'edit' => EditVolumeHoraire::route('/{record}/edit'),
        ];
    }
}
